curl --request GET \
--url https://api.sandbox.tesouro.com/finops/v1/payment-records \
--header 'Authorization: Bearer <token>' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/payment-records"
headers = {
"x-finops-version": "<x-finops-version>",
"x-organization-id": "<x-organization-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-finops-version': '<x-finops-version>',
'x-organization-id': '<x-organization-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.sandbox.tesouro.com/finops/v1/payment-records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"currency": "AED",
"history": [
{
"status": "created",
"timestamp": "2023-11-07T05:31:56Z",
"entity_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"is_external": true,
"object": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"new_status": "<string>",
"old_status": "<string>",
"type": "receivable"
},
"entity_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error_message": "<string>",
"overpaid_amount": 0,
"paid_at": "2023-11-07T05:31:56Z",
"payment_intent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_intent_status": "<string>",
"payment_method": "<string>",
"planned_payment_date": "2023-12-25",
"status": "succeeded"
}
],
"next_pagination_token": "<string>",
"prev_pagination_token": "<string>"
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Get payment records
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The ID of the entity that owns the requested resource.
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Query Parameters
Order by
asc, desc Max is 100
1 <= x <= 100A token, obtained from previous page. Prior over other filters
Allowed sort fields
paid_at, amount, overpaid_amount Identifies whether payment is from our rails or external system
ID of the object, that is connected to payment
List of IDs of the objects, that are connected to payments
Type of an object, which is connected with payment
receivable, payable Created after this datetime (exclusive)
Created before this datetime (exclusive)
Updated after this datetime (exclusive)
Updated before this datetime (exclusive)
Paid after this datetime (exclusive)
Paid before this datetime (exclusive)
Optional date of the upcoming payment (equality)
Planned after this date (exclusive)
Planned before this date (exclusive)
Planned at or after this date (inclusive)
Planned at or before this date (inclusive)
One of the payment record statuses
created, processing, succeeded, canceled Payment intent status as a raw string
Payment method used for the transaction
Response
Successful Response
Show child attributes
Show child attributes
A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page (i.e. you've reached the last page).
A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page (i.e. you've reached the first page).
Was this page helpful?